:root {
  --baseColor: #606468;
  --loginInputBackgroundColor: #3b4148;
  --loginInputHoverBackgroundColor: #434a52;
  --loginBorderRadius: 0.25rem;
}

body {
  background-color: #342d34;
  color: white;
  font-family: "Open Sans", sans-serif;
  margin: 0;
  min-height: 100vh;
  display: grid;
  place-items: center;
}

.grid {
  width: 90%;
  max-width: 20rem;
  margin: 0 auto;
  display: grid;
  gap: 1rem;
  /* Espacio entre elementos */
}

select,
input[type="text"],
input[type="submit"] {
  box-sizing: border-box;
  width: 100%;
  padding: 1rem;
  border-radius: var(--loginBorderRadius);
  background-color: var(--loginInputBackgroundColor);
  color: white;
  border: none;
  font-family: inherit;
  font-size: 1rem;
  outline: none;
}

input[type="submit"] {
  background-color: #d75821;
  font-weight: 700;
  text-transform: uppercase;
  cursor: pointer;
}

input[type="text"]:hover {
  background-color: var(--loginInputHoverBackgroundColor);
}

select {
  appearance: none;
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath fill='none' stroke='white' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right 1rem center;
  background-size: 1em;
}

p {
  margin: 1.5rem 0 0;
  text-align: center;
}

img {
  max-width: 100%;
  margin: 0 auto;
  display: block;
}

h2 {
  text-align: center;
  margin-top: 0;
}